#
# spec file for package trigger-rally
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           trigger-rally
Summary:        Fast-paced open source rally racing game
License:        GPL-2.0
Group:          Amusements/Games/Action/Race
Version:        0.5.2.svn5
Release:        0
Source0:        trigger-rally-src-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}32.png
Source3:        %{name}64.png
Patch0:         %{name}-%{version}-glew.patch
Url:            http://sourceforge.net/projects/trigger-rally
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  SDL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  boost-jam
BuildRequires:  freealut-devel
BuildRequires:  gcc-c++
BuildRequires:  glew-devel
BuildRequires:  openal-devel
BuildRequires:  physfs-devel
BuildRequires:  update-desktop-files
Requires:       trigger-rally-data = %{version}

%description
Trigger is a fast-paced open source rally racing game.

Copyright (C) 2004-2006 Jasmine Langridge, Richard Langridge

%prep
%setup -q -n %{name}-src-%{version}
# set attributes
chmod u+x configure
# use system glew
%patch0
rm -rf src/glew

%build
%configure --datadir=%{_datadir}/games/trigger-rally
jam
# Data directory for program execution is set during compilation !
# We only use jam for compilation, NOT FOR INSTALLATION (only datadir must be specified)
# See ./configure --help for directory options

%install
# Program:
install -D -m 755 trigger $RPM_BUILD_ROOT%{_prefix}/games/trigger-rally
# Icons:
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/trigger-rally.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/trigger-rally.png
# Desktop menu entry:
%suse_update_desktop_file -i %{name} Game SportsGame

%files
%defattr(-,root,root)
%doc doc/*
%{_prefix}/games/trigger-rally
%{_datadir}/applications/*.desktop
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%dir %{_datadir}/icons/hicolor/64x64
%dir %{_datadir}/icons/hicolor/64x64/apps
%{_datadir}/icons/hicolor/*/apps/*.png

%changelog
